Bug 147706 - gpgcheck breaks yum
gpgcheck breaks yum
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 13:55 EST by james
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 00:09:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description james 2005-02-10 13:55:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.54  [en]

Description of problem:
When "gpgcheck=1" is set in the configuration, yum will fail with
"public key not available for <package>".  Furthermore, yum makes NO 
ATTEMPT to obtain the required key or keys.

How are the keys missing after a full Fedora install???
Where is the missing dependency that leaves yum with no keys???
What package contains these "gpgcheck" keys???



Version-Release number of selected component (if applicable):
yum-2.1.13-0.fc3

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Additional info:
Comment 1 james 2005-02-10 14:04:52 EST
Actually, yum does make an attempt to download keys after "gpgcheck=1"
is removed.  Isn't that "backwards"?

 Downloading Packages:
 warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 1ac70ce6
 public key not available for gqview-1.4.5-1.i386.rpm
 Retrieving GPG key from
http://fedoraproject.org/extras/RPM-GPG-KEY-Fedora-Extras
 Importing GPG key 0x1AC70CE6 "Fedora Pre Extras Release
<pre-extras@fedoraproject.org>"
 Key imported successfully
Comment 2 Seth Vidal 2005-02-10 14:16:00 EST
1. Did you remove gpgcheck=1 from the .repo or did you set gpgcheck=0
   - what does your /etc/yum.conf have for gpgcheck? If it has
gpgcheck=1 and your .repo does not have any contents then gpgchecking
is enabled b/c the global in yum.conf is set to 1.


2. the fedora extras keys do not ship with fedora core
3. no keys are imported to the rpmdb during  an anaconda install of the os
4. could you post your .repo file for extras.

Thanks
Comment 3 james 2005-02-11 00:01:01 EST
I seem to have the .repo files in /etc/yum.repos.d:
 fedora-updates-testing.repo
 fedora-updates.repo
 fedora.repo

They all have gpgcheck=1.  My "extras" is in yum.conf and has
gpgcheck=1.  I commented out the global gpgcheck, but that's going to
be of no consequence here.

Looking at my "extras" entry, my bug report must be just wrong. 
Something failed the first time and worked the second time, and, in
retrospect, wouldn't have anything to do with changing the global
gpgcheck.

 [extras]
 name=Fedora Extras - $releasever - $basearch
 baseurl=http://fedoraproject.org/extras/$releasever/$basearch/
 gpgcheck=1
 gpgkey=http://fedoraproject.org/extras/RPM-GPG-KEY-Fedora-Extras

"extras" is the only repo with gpgkey.  It must have worked.
Probably notabug.  Sorry.
Comment 4 Seth Vidal 2005-02-11 00:09:13 EST
okie doke.

closing

Note You need to log in before you can comment on or make changes to this bug.